EDIT - feature request #7834

taxonGraph search listing all included names implemented
10/17/2018 05:02 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.4

Severity: normal

Description

Related issues:
Precedes EDIT - bug #7835: taxonGraph search block implemented Closed

Associated revisions

Revision 377436 - 10/18/2018 03:06 PM - Andreas Kohlbecker
fix #7834 findInTaxonGraph implemented for Registrations with RegistrationDTOController endpoint

Revision 4670ff1d - 10/19/2018 06:03 PM - Andreas Kohlbecker

ref #7834 avoiding NPE in case of names which are not in the graph

Revision 876970d9 - 10/22/2018 05:05 PM - Andreas Kohlbecker

ref #7834 bugfix: returning empty page when no name matches

History

#1-10/17/2018 05:03 PM - Andreas Kohlbecker
- Precedes bug #7835: taxonGraph search block implemented added

#2 - 10/18/2018 03:06 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|f37e7436b7a5e7315feal2bf11bddfd41952a254.

#3 - 10/18/2018 03:11 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

controller endpoint:
/registrationDTO/findInTaxonGraph?taxonNameFilter={QUERYTEXT}&pageNumber={PAGEINDEX}'
to test with httpie and jq :

http 'http://localhost:8080/registrationDTO/findInTaxonGraph?taxonNameFilter=Navicu&pageNumber=0"' | jg '.recor

ds[] | {summary: .summary, id: .specificIdentifier}'
